Bug 516271 - Review Request: perl-Curses-UI - Curses based OO user interface framework
Summary: Review Request: perl-Curses-UI - Curses based OO user interface framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516280
TreeView+ depends on / blocked
 
Reported: 2009-08-07 17:47 UTC by David Hannequin
Modified: 2009-10-29 02:57 UTC (History)
5 users (show)

Fixed In Version: 0.9607-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-29 02:53:46 UTC
iarnell: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description David Hannequin 2009-08-07 17:47:14 UTC
Spec URL: http://hvad.cfppa-cibeins.com/perl-modules/perl-Curses-UI/perl-Curses-UI.spec
SRPM URL: http://hvad.cfppa-cibeins.com/perl-modules/perl-Curses-UI/perl-Curses-UI-0.9607-1.fc10.src.rpm
Description: An object-oriented user interface framework for Perl.

Comment 1 Iain Arnell 2009-08-08 09:34:19 UTC
Package fails to build in mock. You need to add BuildRequires for (at least) Test::Simple, Test::More, and Test::Pod.

Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1590880

Comment 3 Iain Arnell 2009-08-18 15:04:58 UTC
You can make tests yourself using mock locally (see https://fedoraproject.org/wiki/Extras/MockTricks), and once you're happy that the build works locally in mock, you can also request your own koji scratch build (e.g. koji build --scratch dist-f12 /path/to/perl-Some-Module-xx.yy-zz.src.rpm).

But all looks good with this revision (log url is about 20 lines down).


+ source files match upstream (sha1).  
  f7a506f6d62fa58028084d57c85ef78e59486623  Curses-UI-0.9607.tar.gz
  f7a506f6d62fa58028084d57c85ef78e59486623  ./Curses-UI-0.9607.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic
+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1612394

+ package installs properly.
+ rpmlint has no complaints:
  perl-Curses-UI.noarch: I: checking
  perl-Curses-UI.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(Curses::UI) = 0.9607
  perl(Curses::UI::Buttonbox) = 1.10
  perl(Curses::UI::Calendar) = 1.10
  perl(Curses::UI::Checkbox) = 1.11
  perl(Curses::UI::Color) = 0.01
  perl(Curses::UI::Common) = 1.10
  perl(Curses::UI::Container) = 1.11
  perl(Curses::UI::ContainerWidget) = 1.10
  perl(Curses::UI::Dialog::Basic) = 1.10
  perl(Curses::UI::Dialog::Calendar) = 1.10
  perl(Curses::UI::Dialog::Dirbrowser) = 1.0
  perl(Curses::UI::Dialog::Error) = 1.10
  perl(Curses::UI::Dialog::Filebrowser) = 1.10
  perl(Curses::UI::Dialog::Progress) = 1.10
  perl(Curses::UI::Dialog::Question) = 1.00
  perl(Curses::UI::Dialog::Status) = 1.10
  perl(Curses::UI::Label) = 1.11
  perl(Curses::UI::Language)  
  perl(Curses::UI::Language::chinese)  
  perl(Curses::UI::Language::czech)  
  perl(Curses::UI::Language::dutch)  
  perl(Curses::UI::Language::english)  
  perl(Curses::UI::Language::french)  
  perl(Curses::UI::Language::german)  
  perl(Curses::UI::Language::italian)  
  perl(Curses::UI::Language::japanese)  
  perl(Curses::UI::Language::norwegian)  
  perl(Curses::UI::Language::polish)  
  perl(Curses::UI::Language::portuguese)  
  perl(Curses::UI::Language::russian)  
  perl(Curses::UI::Language::slovak)  
  perl(Curses::UI::Language::spanish)  
  perl(Curses::UI::Language::turkish)  
  perl(Curses::UI::Listbox) = 1.3
  perl(Curses::UI::MenuListbox) = 1.10
  perl(Curses::UI::Menubar) = 1.10
  perl(Curses::UI::Notebook) = 1.0001
  perl(Curses::UI::PasswordEntry) = 1.10
  perl(Curses::UI::Popupmenu) = 1.10
  perl(Curses::UI::PopupmenuListbox) = 1.0011
  perl(Curses::UI::Progressbar) = 1.10
  perl(Curses::UI::Radiobuttonbox) = 1.10
  perl(Curses::UI::SearchEntry) = 1.10
  perl(Curses::UI::Searchable) = 1.10
  perl(Curses::UI::TextEditor) = 1.5
  perl(Curses::UI::TextEntry) = 1.10
  perl(Curses::UI::TextViewer) = 1.10
  perl(Curses::UI::Widget) = 1.12
  perl(Curses::UI::Window) = 1.10
  perl-Curses-UI = 0.9607-2.fc12
=
  perl >= 1:5
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Carp)  
  perl(Curses)  
  perl(Curses::UI::Color)  
  perl(Curses::UI::Common)  
  perl(Curses::UI::Container)  
  perl(Curses::UI::Dialog::Basic)  
  perl(Curses::UI::Label)  
  perl(Curses::UI::Language)  
  perl(Curses::UI::Listbox)  
  perl(Curses::UI::Searchable)  
  perl(Curses::UI::TextEditor)  
  perl(Curses::UI::TextEntry)  
  perl(Curses::UI::TextViewer)  
  perl(Curses::UI::Widget)  
  perl(Curses::UI::Window)  
  perl(Cwd)  
  perl(Exporter)  
  perl(FileHandle)  
  perl(Term::ReadKey)  
  perl(base)  
  perl(strict)  
  perl(vars)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1
  rpmlib(PayloadIsXz) <= 5.2-1

+ %check is present and all tests pass.
  t/99misc.t .............. ok
  All tests successful.
  Files=14, Tests=169,  4 wallclock secs ( 0.11 usr  0.01 sys +  3.38 cusr  0.10 csys =  3.60 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED.

Comment 4 David Hannequin 2009-08-18 16:16:45 UTC
New Package CVS Request
=======================
Package Name: perl-Curses-UI
Short Description: Curses based OO user interface framework 
Owners: hvad
Branches: F-10 F-11
InitialCC: hvad perl-sig

Comment 5 Emmanuel Seyman 2009-08-19 14:17:47 UTC
(In reply to comment #4)
>
> New Package CVS Request

The fedora‑cvs flag isn't set so I doubt the CVS admins are going to see this bug.

Comment 6 Emmanuel Seyman 2009-08-21 09:24:41 UTC
Whoops. Set fedora-cvs- instead of fedora-cvs?

Comment 7 Emmanuel Seyman 2009-08-21 10:25:25 UTC
David, don't set fedora-cvs to '+'.
The cvs admins should do that after creating the module.

Comment 8 Dennis Gilmore 2009-08-21 18:23:10 UTC
CVS Done

No need to add an owner to the InitalCC list

Comment 9 Parag AN(पराग) 2009-09-17 05:51:50 UTC
any reason for not building this package yet?

Comment 10 Fedora Update System 2009-09-21 19:50:41 UTC
perl-Curses-UI-0.9607-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Curses-UI-0.9607-2.fc10

Comment 11 Fedora Update System 2009-09-22 08:11:01 UTC
perl-Curses-UI-0.9607-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Curses-UI-0.9607-2.fc11

Comment 12 Fedora Update System 2009-09-24 05:09:09 UTC
perl-Curses-UI-0.9607-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Curses-UI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9818

Comment 13 Fedora Update System 2009-09-24 05:17:32 UTC
perl-Curses-UI-0.9607-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Curses-UI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9870

Comment 14 Fedora Update System 2009-10-29 02:53:39 UTC
perl-Curses-UI-0.9607-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-10-29 02:56:55 UTC
perl-Curses-UI-0.9607-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.